Bug 11334 - Add facet for home library
Summary: Add facet for home library
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-03 19:12 UTC by Kyle M Hall
Modified: 2014-12-07 20:07 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11334 - Add facet for home library (10.59 KB, patch)
2013-12-03 19:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11334 - Add facet for home library (10.63 KB, patch)
2013-12-05 19:50 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 11334 - Add facet for home library (10.70 KB, patch)
2014-01-08 11:39 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11334 [QA Followup] - Add facet for home library (2.33 KB, patch)
2014-01-08 11:40 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 11334 [QA Followup] - Add facet for home library (2.39 KB, patch)
2014-01-11 14:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11334 - Add facet for home library (10.85 KB, patch)
2014-01-11 14:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11334 [QA Followup] - Add facet for home library (2.39 KB, patch)
2014-01-11 14:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2013-12-03 19:12:39 UTC
The current "Library" facet is somewhat ambiguous for Koha installations with multiple libraries. It refers to the holdingbranch, but does not explicitly state this. It would be beneficial to allow the administrator to choose to show facets for the holding library, home library, or both. In addition, the facets should be more explicitly labeled.
Comment 1 Kyle M Hall 2013-12-03 19:16:58 UTC Comment hidden (obsolete)
Comment 2 sandboxes@biblibre.com 2013-12-05 19:50:12 UTC
Patch tested with a sandbox, by Jen DeMuth <jdemuth@roseville.ca.us>
Comment 3 sandboxes@biblibre.com 2013-12-05 19:50:31 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-12-27 07:37:55 UTC
Hi Kyle,

found a small bug:
+            'DisplayLibraryFacets',  'holdingbranch',  'home|holding|both',  'Defines which library facets to display.',  'Choice'

You are setting the default to an invalid value in sysprefs.sql and updatedatabaes. Can you please provide a follow up?
Comment 5 Kyle M Hall 2014-01-08 11:39:26 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2014-01-08 11:40:45 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2014-01-08 11:41:44 UTC
Setting to passed QA, assuming the bad default system pref value was the only issue. Please update the bug status if I am incorrect!
Comment 8 Katrin Fischer 2014-01-08 11:51:19 UTC
Hi Kyle, I will take another look and add my sign off lines.
Comment 9 Katrin Fischer 2014-01-11 14:40:14 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2014-01-11 14:40:51 UTC
Created attachment 24192 [details] [review]
[PASSED QA] Bug 11334 - Add facet for home library

The current "Library" facet is somewhat ambiguous for Koha installations
with multiple libraries. It refers to the holdingbranch, but does not
explicitly state this. It would be beneficial to allow the administrator
to choose to show facets for the holding library, home library, or both.
In addition, the facets should be more explicitly labeled.

Test plan:
1) Apply this patch
2) Check that the facets label "Libraries" now reads "Holding libraries"
3) Update the system preference DisplayLibraryFacets to "home library"
4) Check that the facet now reads "Home libraries"
5) Update the preference again to "both home and holding library"
6) Check that both the facets for home and holding library are now
   displayed.

Signed-off-by: Jen DeMuth <jdemuth@roseville.ca.us>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests and QA script.
Changes apply to both prog and bootstrap OPAC and staff client.
Comment 11 Katrin Fischer 2014-01-11 14:41:08 UTC
Created attachment 24193 [details] [review]
[PASSED QA] Bug 11334 [QA Followup] - Add facet for home library

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 12 Katrin Fischer 2014-01-11 14:43:00 UTC
I am not sure if the change in the label could be confusing to patrons - it might be an idea to still show "Libraries" when only home or holding library are displayed.
Comment 13 Galen Charlton 2014-04-29 16:08:35 UTC
Pushed to master.  Thanks, Kyle!

(In reply to Katrin Fischer from comment #12)
> I am not sure if the change in the label could be confusing to patrons - it
> might be an idea to still show "Libraries" when only home or holding library
> are displayed.

I pushed a follow-up that wraps the new facet labels in spans with IDs, making it possible for folks to tweak the labels.  A follow-up template change would be easy enough to make if that proves not to be sufficient.